package org.apache.commons.lang3.exception;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.List;
import java.util.Set;
import org.apache.commons.lang3.exception.DefaultExceptionContext;
import org.apache.commons.lang3.exception.ExceptionContext;
import org.apache.commons.lang3.tuple.Pair;

public class ContextedRuntimeException extends RuntimeException implements ExceptionContext {
  private static final long serialVersionUID = 20110706L;
  
  private final ExceptionContext exceptionContext;
  
  public ContextedRuntimeException() {
    this.exceptionContext = (ExceptionContext)new DefaultExceptionContext();
  }
  
  public ContextedRuntimeException(String message) {
    super(message);
    this.exceptionContext = (ExceptionContext)new DefaultExceptionContext();
  }
  
  public ContextedRuntimeException(Throwable cause) {
    super(cause);
    this.exceptionContext = (ExceptionContext)new DefaultExceptionContext();
  }
  
  public ContextedRuntimeException(String message, Throwable cause) {
    super(message, cause);
    this.exceptionContext = (ExceptionContext)new DefaultExceptionContext();
  }
  
  public ContextedRuntimeException(String message, Throwable cause, ExceptionContext context) {
    super(message, cause);
    DefaultExceptionContext defaultExceptionContext;
    if (context == null)
      defaultExceptionContext = new DefaultExceptionContext(); 
    this.exceptionContext = (ExceptionContext)defaultExceptionContext;
  }
  
  public org.apache.commons.lang3.exception.ContextedRuntimeException addContextValue(String label, Object value) {
    this.exceptionContext.addContextValue(label, value);
    return this;
  }
  
  public org.apache.commons.lang3.exception.ContextedRuntimeException setContextValue(String label, Object value) {
    this.exceptionContext.setContextValue(label, value);
    return this;
  }
  
  public List<Object> getContextValues(String label) {
    return this.exceptionContext.getContextValues(label);
  }
  
  public Object getFirstContextValue(String label) {
    return this.exceptionContext.getFirstContextValue(label);
  }
  
  public List<Pair<String, Object>> getContextEntries() {
    return this.exceptionContext.getContextEntries();
  }
  
  public Set<String> getContextLabels() {
    return this.exceptionContext.getContextLabels();
  }
  
  public String getMessage() {
    return getFormattedExceptionMessage(super.getMessage());
  }
  
  public String getRawMessage() {
    return super.getMessage();
  }
  
  public String getFormattedExceptionMessage(String baseMessage) {
    return this.exceptionContext.getFormattedExceptionMessage(baseMessage);
  }
}
